%define api_version 1
%define lib_major   0
%define lib_name	%mklibname %{name}- %{api_version} %{lib_major}
%define develname %mklibname %{name}- %{api_version}  -d

Summary: Library used to monitor application startup
Name: startup-notification
Version: 0.12
Release: %mkrel 4
License: LGPLv2+
Group: System/Libraries
URL: http://www.freedesktop.org/
Source0: http://www.freedesktop.org/software/%name/releases/%{name}-%{version}.tar.gz
BuildRequires: libxcb-util-devel
BuildRequires: libx11-devel

%description
Startup-notification is a library used to monitor application startup.

%package -n %{lib_name}
Summary:	Library used to monitor application startup
Group:		%{group}
Provides:	lib%{name}-%{api_version} = %{version}-%{release}

%description -n %{lib_name}
Startup-notification is a library used to monitor application startup.

%package -n %develname
Summary:	Library used to monitor application startup
Group:		Development/C
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Obsoletes:  %mklibname %{name}- 1 0 -d

%description -n %develname
Startup-notification is a library used to monitor application startup.

%prep
%setup -q

%build
%configure2_5x --disable-static

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{lib_name}
%doc ChangeLog 
%{_libdir}/*.so.*

%files -n %develname
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*






%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.12-4.mga3
+ Revision: 383379
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 22 2011 wally <wally> 0.12-3.mga3
+ Revision: 171067
- disable static build
- drop .la files

* Wed Jul 06 2011 ahmad <ahmad> 0.12-2.mga2
+ Revision: 119301
- Rebuild for new xcb-utils

* Tue Jul 05 2011 dmorgan <dmorgan> 0.12-1.mga2
+ Revision: 118779
- New version 0.12

* Wed Jan 12 2011 blino <blino> 0.10-6.mga1
+ Revision: 6674
- remove old ldconfig scriptlets
- imported package startup-notification

